<?php require "includes/security.php" ?>
<!DOCTYPE HTML>
<html lang="it">

<head>
    <title>Login</title>
    <?php require "includes/head.php" ?>
</head>

<body>

<div class="container">
    <h1>Login</h1>
    <h3><a href="statistics.php">Statistiche</a></h3>
    <?php
    if (isset($_SESSION["error"])) {
        ?>
        <div class="alert alert-danger" role="alert">
            <?php echo $_SESSION["error"] ?>
        </div>
    <?php }
    session_destroy();
    ?>
    <form action="index.php" method="post">
        <div class="mb-3">
            <label for="nome" class="form-label">Nome</label>
            <input type="text" class="form-control" id="nome" name="nome">
        </div>
        <div class="mb-3">
            <label for="eta" class="form-label">Età</label>
            <input type="number" class="form-control" id="eta" name="eta"/>
        </div>
        <div class="mb-3">
            <label for="sesso" class="form-label">Sesso</label>
            <select class="form-select" name="sesso" id="sesso">
                <option value="m">M</option>
                <option value="f">F</option>
            </select>
        </div>

        <button type="submit" class="btn btn-primary">Invia voto</button>
    </form>
</div>

<?php require "includes/footer.php" ?>

</body>
</html>